void insertionSortMatrice(int matrice[][6], int righe, int colonne) {
    for (int j = 0; j < colonne; j++) {
        for (int i = 1; i < righe; i++) {
            int key = matrice[i][j];
            int k = i - 1;
            while (k >= 0 && matrice[k][j] > key) {
                matrice[k + 1][j] = matrice[k][j];
                k = k - 1;
            }
            matrice[k + 1][j] = key;
        }
    }
}
